{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

	    <!-- HTMX -->
	    <script src="https://unpkg.com/htmx.org@1.8.0"></script>

	    <!-- Alpine -->
        <script defer src="https://unpkg.com/alpinejs@3.x.x/dist/cdn.min.js"></script>

        <!-- Bootstrap stylesheet -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">

        <!-- Bootstrap icons -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.3/font/bootstrap-icons.css">

        <!-- Base stylesheet -->
        <link rel="stylesheet" href="{% static 'base.css' %}">
        <link rel="stylesheet" type="text/css" href="{% static '/css/profile.css'%}">

        <!-- Title -->
        <title>{% block title %}Web Plom{% endblock %}</title>
    </head>
    <!-- Need the csrf token to enable htmx -->
    <body style="background-color: #F5F6FA; display: flex;" hx-headers='{"X-CSRFToken": "{{ csrf_token }}"}'>
        <!-- Bootstrap JS -->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-pprn3073KE6tl6bjs2QrFaJGz5/SUsLqktiwsUTF55Jfv3qYSDhgCecCxMW52nD2" crossorigin="anonymous"></script>

        <div class="container-fluid" style="padding: 0px;">
            <div class="row" style="min-height: 100vh; margin: 0px;">
                <div class="col-auto shadow" style="background-color: {{ navbar_colour }}; padding: 0px;">
                    <nav class="navbar">
                        <div class="container-fluid" style="padding: 0px; ">
                            
                            <!-- Navbar links -->
                            <ul class="nav flex-column">
                                <li class="nav-item">
                                    <!-- Plom logo -->
                                    <a class="navbar-brand nav-link" style="padding-right: 15px; padding-left: 0px; margin: 0px; text-align: center" href="{% url 'home' %}">
                                        <img class="img-fluid" src="{% static 'plomLogo.png' %}" style="max-width: 8rem">
                                    </a>
                                </li>
                                {% if request.user.first_name %}
                                <li class="nav-item">
                                    <p style="text-align: center; padding: 0px 5px; color: white">Welcome <br><b>{{ request.user.first_name }}</b>!</p>
                                </li>
                                {% else %}
                                <li class="nav-item">
                                    <p style="text-align: center; padding: 0px 5px; color: white">Welcome <br><b>{{ request.user.username.lower }}</b>!</p>
                                </li>
                                {% endif %}
                                <li class="nav-item">
                                    <p style="text-align: center; color: white"><b>{{ user_group }}</b> group</p>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link link-light is_sidebar_link" href="{% url 'profile' %}">Profile</a>
                                </li>
                                {% if user_group == 'admin' %}
                                    <li class="nav-item">
                                        <a class="nav-link link-light is_sidebar_link" href="{% url 'signup_manager' %}">Sign Up<br>Manager</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link link-light is_sidebar_link" href="{% url 'password_reset' %}">Password<br>Reset Link</a>
                                    </li>
                                {% elif user_group == 'manager' %}
                                    <li class="nav-item">
                                        <a class="nav-link link-light is_sidebar_link" href="{% url 'listUsers' %}">Users</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link link-light is_sidebar_link" href="{% url 'prep_landing' %}">Create test</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link link-light is_sidebar_link" href="{% url 'signup' %}">Create<br>Scanners/Markers</a>
                                    </li>
                                    <li class="nav-item accordion accordion-flush">
                                        <a class="nav-link link-light is_sidebar_link" data-bs-toggle="collapse" href="#progress">
                                            Progress
                                        </a>
                                    </li>
                                    <div class="collapse" id="progress">
                                        <li class="nav-item" style="background-color: #b5a7fa;">
                                            <a class="nav-link link-light is_sidebar_link" href="{% url 'progress_scan_overview' %}">Scan</a>
                                        </li>
                                        <li class="nav-item" style="background-color: #b5a7fa;">
                                            <a class="nav-link link-light is_sidebar_link">Mark</a>
                                        </li>
                                        <li class="nav-item" style="background-color: #b5a7fa;">
                                            <a class="nav-link link-light is_sidebar_link">Identify</a>
                                        </li>
                                    </div>
                                {% elif user_group == 'scanner' %}
                                    <li class="nav-item">
                                        <a class="nav-link link-light is_sidebar_link" href="{% url 'scan_home' %}">Scan</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link link-light is_sidebar_link" href="{% url 'scan_summary' %}">Summary</a>
                                    </li>
                                {% endif %}
                                <li class="nav-item">
                                    <a class="nav-link link-light is_sidebar_link" href="{% url 'logout' %}">Log out</a>
                                </li>
                            </ul>
                        </div>
                    </nav>
                    
                </div>
                <div class="col pe-0">
                    <div class="container-fluid" style="padding-top: 12px; padding-bottom: 12px; padding-right: 0; min-height: 100%;">
                        <!-- Page heading -->
                        <h1 class="fw-lighter" style="margin: 15px;">{% block page_heading %}{% endblock %}</h1>
                        <p class="lead" style="margin-bottom: 25px;">{% block page_subheading %} {% endblock %}</p>
                        <!-- Main content -->
                        {% block main_content %}{% endblock %}
                    </div>
                </div>
            </div>
        </div>
        
    </body>
</html>
